CFDictionary Reference

## Detailed Description

## Data Structures

struct | CFDictionaryKeyCallBacks
struct | CFDictionaryValueCallBacks

## Typedefs

typedef const struct __CFDictionary * | CFDictionaryRef
typedef void(* | CFDictionaryApplierFunction) (const void *key, const void *value, void *context)
typedef CFStringRef(* | CFDictionaryCopyDescriptionCallBack) (const void *value)
typedef Boolean(* | CFDictionaryEqualCallBack) (const void *value1, const void *value2)
typedef CFHashCode(* | CFDictionaryHashCallBack) (const void *value)
typedef void(* | CFDictionaryReleaseCallBack) (CFAllocatorRef allocator, const void *value)
typedef const void *(* | CFDictionaryRetainCallBack) (CFAllocatorRef allocator, const void *value)

## Variables

const CFDictionaryKeyCallBacks | kCFCopyStringDictionaryKeyCallBacks
const CFDictionaryKeyCallBacks | kCFTypeDictionaryKeyCallBacks
const CFDictionaryValueCallBacks | kCFTypeDictionaryValueCallBacks

## Creating a dictionary

CFDictionaryRef | CFDictionaryCreate (CFAllocatorRef allocator, const void **keys, const void **values, CFIndex numValues, const CFDictionaryKeyCallBacks *keyCallBacks, const CFDictionaryValueCallBacks *valueCallBacks)
CFDictionaryRef | CFDictionaryCreateCopy (CFAllocatorRef allocator, CFDictionaryRef theDict)

## Examining a dictionary

Boolean | CFDictionaryContainsKey (CFDictionaryRef theDict, const void *key)
Boolean | CFDictionaryContainsValue (CFDictionaryRef theDict, const void *value)
CFIndex | CFDictionaryGetCount (CFDictionaryRef theDict)
CFIndex | CFDictionaryGetCountOfKey (CFDictionaryRef theDict, const void *key)
CFIndex | CFDictionaryGetCountOfValue (CFDictionaryRef theDict, const void *value)
void | CFDictionaryGetKeysAndValues (CFDictionaryRef theDict, const void **keys, const void **values)
const void * | CFDictionaryGetValue (CFDictionaryRef theDict, const void *key)
Boolean | CFDictionaryGetValueIfPresent (CFDictionaryRef theDict, const void *key, const void **value)

## Applying a funcation to a dictionary

void | CFDictionaryApplyFunction (CFDictionaryRef theDict, CFDictionaryApplierFunction applier, void *context)

## Getting the CFDictionary type ID

CFTypeID | CFDictionaryGetTypeID (void)

## Data Structure Documentation

## _CFDictionaryKeyCallBacks

struct _CFDictionaryKeyCallBacks

Data Fields
CFIndex | version |
CFDictionaryRetainCallBack | retain |
CFDictionaryReleaseCallBack | release |
CFDictionaryCopyDescriptionCallBack | copyDescription |
CFDictionaryEqualCallBack | equal |
CFDictionaryHashCallBack | hash |

## _CFDictionaryValueCallBacks

struct _CFDictionaryValueCallBacks

Data Fields
CFIndex | version |
CFDictionaryRetainCallBack | retain |
CFDictionaryReleaseCallBack | release |
CFDictionaryCopyDescriptionCallBack | copyDescription |
CFDictionaryEqualCallBack | equal |